#pragma once

#include "Common.h"

#include "UnitData.h"
#include "BuildOrderQueue.h"
#include "InformationManager.h"
#include "WorkerManager.h"
#include "BuildManager.h"
#include "ConstructionManager.h"
#include "ScoutManager.h"
#include "StrategyManager.h"

namespace MyBot
{
	class Strategy_ExpansionTaskManager {
		Strategy_ExpansionTaskManager();
	public:
		/// static singleton 객체를 리턴합니다
		static Strategy_ExpansionTaskManager &	Instance();

		bool isBuildQueueEnqueued;

		BWTA::BaseLocation* targetBaseLocation;

		void update();

		void buildExpansionOnGround(StrategicTask task);

		void buildExpansionOnIsland(StrategicTask task);

		void drawExpansion();

		void setCompleted();

	};
}